<?php

/*==============================================================================================

	--------------------------------------------------------------------------------------------
	SPIP Immo 3.1b is a SPIP's plugin for real estate agencies & agents
	Copyright (C) 2007-2009 SARL Comme a la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	--------------------------------------------------------------------------------------------
	SPIP Immo 3.1b est un plugin de SPIP  destination des agences immobilires
	Copyright (C) 2007-2009 SARL Comme  la Ville http://www.commealaville.com - contact@commealaville.com
	http://spipimmo.commealaville.com

	Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le
	modifier au titre des clauses de la Licence Publique Gnrale GNU, telle
	que publie par la Free Software Foundation ; soit la version 2 de la
	Licence, ou ( votre discrtion) une version ultrieure quelconque.

	Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS AUCUNE
	GARANTIE ; sans mme une garantie implicite de COMMERCIABILITE ou DE
	CONFORMITE A UNE UTILISATION PARTICULIERE. Voir la Licence Publique
	Gnrale GNU pour plus de dtails.

	Vous devriez avoir reu un exemplaire de la Licence Publique Gnrale
	GNU avec ce programme ; si ce n'est pas le cas, crivez  la Free
	Software Foundation Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

==============================================================================================*/



	function spipimmo_declarer_tables_interfaces($interface)
	{
		$interface['table_des_tables']['annonces']='annonces';
		$interface['table_des_tables']['documents_annonces']='documents_annonces';
		$interface['table_des_tables']['types_offres']='types_offres';

		return $interface;
	}

	function spipimmo_declarer_tables_principales($tables_principales)
	{
		//Table des annonces
		$spip_annonces_field=array(
			"id_annonce"=>"int(50)",
			"publier"=>"bool",
			"type_offre"=>"varchar(255)",
			"vente_location"=>"varchar(8)",
			"n_mandat"=>"varchar(255)",
			"type_mandat"=>"varchar(50)",
			"date_offre"=>"date",
			"date_modification"=>"date",
			"date_disponibilite"=>"date",
			"negociateur"=>"varchar(255)",
			"prix_loyer"=>"int(30)",
			"honoraires"=>"int(30)",
			"travaux"=>"int(10)",
			"charges"=>"int(10)",
			"depot_garantie"=>"int(10)",
			"taxe_habitation"=>"int(10)",
			"taxe_fonciere"=>"int(10)",
			"adr_bien_1"=>"longtext",
			"adr_bien_2"=>"longtext",
			"cp_bien"=>"varchar(10)",
			"ville_bien"=>"varchar(255)",
			"cp_internet"=>"varchar(10)",
			"ville_internet"=>"varchar(255)",
			"quartier"=>"varchar(255)",
			"residence"=>"varchar(255)",
			"transport"=>"varchar(255)",
			"proximite"=>"varchar(255)",
			"secteur"=>"varchar(255)",
			"categorie"=>"varchar(255)",
			"nb_pieces"=>"int(2)",
			"nb_chambres"=>"int(2)",
			"surf_habit"=>"int(6)",
			"surf_carrez"=>"int(6)",
			"surf_sejour"=>"int(6)",
			"surf_terrain"=>"int(6)",
			"etage"=>"int(2)",
			"code_etage"=>"int(6)",
			"nb_etage"=>"int(2)",
			"annee_cons"=>"varchar(255)",
			"type_cuisine"=>"varchar(255)",
			"nb_wc"=>"int(2)",
			"nb_sdb"=>"int(2)",
			"nb_sde"=>"int(2)",
			"nb_park_int"=>"int(2)",
			"nb_park_ext"=>"int(2)",
			"nb_garages"=>"int(2)",
			"type_soussol"=>"varchar(255)",
			"nb_caves"=>"int(2)",
			"type_chauf"=>"varchar(255)",
			"nat_chauf"=>"varchar(255)",
			"ascenseur"=>"int(2)",
			"balcon"=>"int(4)",
			"terrasse"=>"int(5)",
			"piscine"=>"bool",
			"acces_handi"=>"bool",
			"nb_murs_mit"=>"int(1)",
			"facade_terrain"=>"int(3)",
			"texte_annonce_fr"=>"longtext",
			"texte_annonce_uk"=>"longtext",
			"texte_annonce_sp"=>"longtext",
			"texte_annonce_de"=>"longtext",
			"texte_annonce_it"=>"longtext",
			"texte_mailing"=>"longtext",
			"prestige"=>"bool");

		$spip_annonces_key=array(
			"PRIMARY KEY" => "id_annonce");

		$tables_principales['spip_annonces']=array(
			'field' => &$spip_annonces_field,
			'key' => &$spip_annonces_key);


		//Table des documents
		$spip_documents_annonces_field=array(
			"id_document"=>"int",
			"numero_dossier"=>"int(50)",
			"fichier"=>"varchar(255)",
			"taille"=>"int(11)",
			"type"=>"bool");

		$spip_documents_annonces_key=array(
			"PRIMARY KEY" => "id_document");

		$tables_principales['spip_documents_annonces']=array(
			'field' => &$spip_documents_annonces_field,
			'key' => &$spip_documents_annonces_key);


		//Table du type d'offre
		$spip_types_offres_field=array(
			"id_type_offre"=>"int",
			"libelle_offre"=>"varchar(255)");

		$spip_types_offres_key=array(
			"PRIMARY KEY" => "id_type_offre");

		$tables_principales['spip_types_offres']=array(
			'field' => &$spip_types_offres_field,
			'key' => &$spip_types_offres_key);

		return $tables_principales;
	}
?>